Update CIA games?

Discussion in '3DS - Homebrew Development and Emulators' started by theasker, Dec 17, 2015.

  1. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    Hello guys, i'm about to install CFW in my Nintendo 2DS by using the rxtools guide. :D
    But i have one question. Let say that i have a Mario Kart 7 CIA file and i play online with that game.
    Since Nintendo updates their game regularly (Both Wii U and 3DS/2DS), will the .CIA game, that i got, also be updated?
    Or will it be "stuck" at that version when i got it?
     


  2. Woody8275

    Woody8275 GBAtemp Advanced Fan

    Member
    634
    91
    Sep 4, 2013
    Depends on the cia you got
    If its an updated version or youll need to update it yourself
    You can download most updates from eshop in emunand
     
  3. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    But won't that update the Sysnand firmware?
    I'm trying to update Super smash bros to 1.1.2.. I have already have the CIA file, but i have no idea how to install it.
    Do i just have to install it through FBI? Or do i need other tools to make it works since it's an update?
     
  4. skystealer

    skystealer Muah~

    Member
    212
    46
    Aug 5, 2009
    United States
    Agniratha, Mechonis
    As far as I can tell, it doesn't. The way I do it is by updating the CIA title from the HOME menu, typically waiting for the game to prompt an update is available and downloading the update from within the HOME menu. As for an out-of-region CIA, I doubt that will work.
     
  5. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    How do long do you usually have to wait until the update prompt appear?
    Also what is the minimum firmware version to play Super smash bros 3ds version 1.1.3?
    From this site: www.3dsdb.com, they say that the minimum is 8.2, and my current version is 9.0...
     
  6. night_hawk

    night_hawk GBAtemp Fan

    Member
    489
    186
    Dec 3, 2014
    Italy
    You can easely install the update via CIA file, like a game.
    3dsdb refers to the base game (not updated). I don't know specifically what fw requires the 1.1.3 update of smash but, if i remember correctly, a previous update required a fw higher than 9.2
     
  7. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    So i'm pretty much screwed then huh? :( :(
    I like 9.0 is because it autoboots directly to rxTools and i don't have to manually boot rxTools everytime i start the console.
     
  8. Dotmore

    Dotmore GBAtemp Advanced Fan

    Member
    698
    75
    Apr 9, 2012
    Netherlands
    If it works the same as .3DS games, you can safely install game updates on Emunand. Whenever you want to launch a game, and it promps for an update, you can safely update.
     
  9. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    Yea that might work, however i don't want to update my Nintendo 2DS above version 9.2. I won't be able to use rxTools anymore and i wont be able to use the autobootmenu hax:sad::sad:
    How do you guys play the game online (if you have it), if you are in version 9.0? Is it even possible for me to play it even though i'm in version 9.0?
     
  10. Dotmore

    Dotmore GBAtemp Advanced Fan

    Member
    698
    75
    Apr 9, 2012
    Netherlands
    I have SysNand 9.0 and Emunand 10.3. Never had issues. No reason to assume it works different with CIA's. But better to be sure idd!
     
  11. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    Do you have autoboot (homemenuhax) to rxTools on the emunand 10.3? :O
     
    Last edited by theasker, Dec 19, 2015
  12. night_hawk

    night_hawk GBAtemp Fan

    Member
    489
    186
    Dec 3, 2014
    Italy
    No he has emunand. Dont you have an emunand? If so, why?
     
  13. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    Yes i have emunand (i think). I'm all new into this and just yesterday i followed this tutorial to install CFW.
    When i boot to rxtools and go to settings it says RX-E and my system version which is currently 6.0... However i'm just about to update it to 9.0, using the same guide i linked.
    I have also unlinked my NANDS if that helps.
     
  14. Dotmore

    Dotmore GBAtemp Advanced Fan

    Member
    698
    75
    Apr 9, 2012
    Netherlands
    If your system says RX-E, you are in EmuNAND.
     
  15. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    So all i have to do is to go to "Settings", while i'm in rxTools (the RX-E + version thingy), and click "System Update"?
    As tempting i am to do that, but to be honest, i'm a bit scared it will update my Sysnand instead of the Emunand, even though it says RX-E:blush::blush:
    Is it really that easy? :O
     
  16. KazoWAR

    KazoWAR GBAtemp Advanced Maniac

    Member
    1,799
    681
    Aug 12, 2008
    United States
    Winter Haven
    you can get game updates as CIA and just install them like any other CIA.
     
    skidooelan likes this.
  17. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    But don't my system firmware still have to meet the minimum requirements when i launch the game?
    For instance @night_hawk mentioned (if you scroll up) that Super Smash Bros 3DS requires that my firmware version is minimum 9.2, and i'm going to update to 9.0 (just to be sure).
     
  18. night_hawk

    night_hawk GBAtemp Fan

    Member
    489
    186
    Dec 3, 2014
    Italy
    You could edit the update yourself to spoof the firmware, but honestly i would go to update the emunand. If you have the RX and your nands are unlinked, at the worst you could brick the emunand, but it's fixable if you have a backup, otherwise you will have to setup a fresh new emunand
     
  19. Abcdfv

    Abcdfv What comes around goes around.

    Member
    1,444
    588
    Dec 24, 2013
    United States
    It really is that easy. Just only update through system settings, not through any other prompts.
     
  20. theasker
    OP

    theasker GBAtemp Regular

    Member
    232
    16
    Jun 10, 2009
    Thank you! I will update it through emunand! One last question though. I'm going to update to version 9.0 just so i use the homemenuhax, but when i do that and when i update my emunand to the latest version. Can i still use the autoboot thingy (homemenuhax) to boot it up directly to even if my sysnand is on version 9.0 and my emunand is above 10.1? :)